Package org.apache.sysds.runtime.controlprogram.paramserv.dp

## Class DataPartitionLocalScheme

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionLocalScheme

Direct Known Subclasses:
  `DCLocalScheme`, `DRLocalScheme`, `DRRLocalScheme`, `ORLocalScheme`

    public abstract class DataPartitionLocalScheme
    extends Object

### Nested Class Summary

Nested Classes
`class` `DataPartitionLocalScheme.Result`

### Constructor Summary

Constructors
`DataPartitionLocalScheme()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract DataPartitionLocalScheme.Result` `doPartitioning​(int workersNum, MatrixBlock features, MatrixBlock labels)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataPartitionLocalScheme

    public DataPartitionLocalScheme()

### Method Detail

#### doPartitioning

    public abstract DataPartitionLocalScheme.Result doPartitioning​(int workersNum,
                                                                   MatrixBlock features,
                                                                   MatrixBlock labels)